function R_ES = getReward_ES(ES,action,cost )%

nb_node=8;S=2^nb_node;
expense=action.*cost; % expense accounts for no action for node 1
a=size(action,1); % 65 possible combinations of protection
R_ES=zeros(2^nb_node,a);  

R=zeros(S,1);
for stateid=1:S
        state1=getState(stateid-1,nb_node);
        ESnew=ES.*state1; % update ES vector
        R(stateid)=sum(ESnew);
end        
    
expense_state=sum(expense,2);
for t=1:2^nb_node
    for j=1:a
    R_ES(t,j)=R(t)-expense_state(j);
    end
end
end