%%%=========================================================
%%% OBJECTIVE: to generate Figure 2
%%%========================================================

load('P_lossrate_avg.mat')
% Bio strategy
state=ttt2;
action=policynew_Bio;
vbio=zeros(length(state),1);
for i=1:length(state)
vbio(i)=R_Bio(state(i),action(i));
end

%%Markov Chain to calculate the prob of reaching that state from the
%%initial state
M_Bio=zeros(S,S);  % define transition probability matrix for Markov Chain

for j=1:length(policynew_Bio) % j is the nb of realistic optimal actions (policynew dim=78 including repeated actions, the total combinations of action possible is 68)
    optimalAction=policynew_Bio(j);
    for i=1:S     
    M_Bio(i,:)=P{optimalAction}(i,:); % each row i representing a distribution from state i to all possible states under the optimal action
    end
end

% the expected nb of species extant with time under ES strategy
T=1;  % change T to see the trend
P0=zeros(1,S); % define a vector of S representing which state is the initial state (=1 otherwise=0)
id=getState_back(ones(1,nb_node))+1; % the state where all groups are present belongs to which state number?
P0(1,id)=1; % initial state is S, so S=1

t=1;
Pt=P0*M_Bio^t; % Pt is a vector of S representing the probability of having each of S states
p_reach=Pt(ttt2);



% ES strategy
action=policynew_ES;
ves=zeros(length(state),1);
for i=1:length(state)
ves(i)=R_ES(state(i),action(i));
end

%% use state, action, vbio, and p_reach in SI4_weighted action.xlsx to produce figure.2 CurlewSandpiper part


