function state=getState( stateid,J )
%%%=========================================================
%%% OBJECTIVE: get the all possible state for the food web
%%%========================================================
%%% INPUT ARGUMENTS:
%%% stateid: a number ranges from 0 to 2^J-1 indicating all possible state
%%% J: number of species
%%%========================================================
%%% OUTPUT ARGUMENTS:
%%% state: the state of the food web
%%%========================================================
baseTern=(2*ones(1,J)).^[0:J-1];
state=zeros(1,J);   %% food web state at each time step

for i=J:-1:1
    if stateid-baseTern(i)>=0
        state(i)=1;
        stateid=stateid-baseTern(i);
    end


end
